using System.Text.Json;

namespace Normalize.ClientHub.Models;

public record AppSettings(string ApiUrl,
                          string BuildNumber,
                          string Company,
                          int ExpectedMileage,
                          string GitCommitSeven,
                          bool IsDevelopment,
                          bool IsStaging,
                          string MonAResource,
                          string MonASite)
{

    public override string ToString()
    {
        string result = JsonSerializer.Serialize(this, new JsonSerializerOptions() { WriteIndented = true });
        return result;
    }

}